Subject: Re: next-20160817 build: 2 failures 5 warnings (next-20160817)

From: Daniel Vetter <[email-masked]>
Date: Wed, 17 Aug 2016 12:14:53 +0200

On Wed, Aug 17, 2016 at 10:26:44AM +0100, Mark Brown wrote:
> On Wed, Aug 17, 2016 at 08:28:17AM +0100, Build bot for Mark Brown wrote:
> 
> Today's -next fails to build an arm64 allmodconfig due to:
> 
> > 	arm64-allmodconfig
> > ../drivers/gpu/drm/hisilicon/kirin/kirin_drm_drv.c:140:18: error: passing argument 1 of 'dc_ops->cleanup' from incompatible pointer type [-Werror=incompatible-pointer-types]
> > ../drivers/gpu/drm/hisilicon/kirin/kirin_drm_ade.c:994:52: error: 'dev' undeclared (first use in this function)
> > ../drivers/gpu/drm/hisilicon/kirin/kirin_drm_ade.c:1055:52: error: 'dev' undeclared (first use in this function)
> > ../drivers/gpu/drm/hisilicon/kirin/kirin_drm_ade.c:1065:1: error: expected '}' before ';' token
> 
> caused by d25bcfb8c2 (drm/hisilicon: Don't set drm_device->platformdev)
> which does a a partial conversion to new APIs.

Yeah I screwed up since I naively assumed that compile testing on arm
32bit multiarch is good enough. I'm setting up an arm64 environment now,
but would be nice if arm folks would stop loving bazillions of configs so
much ;-)
-Daniel
-- 
Daniel Vetter
Software Engineer, Intel Corporation
http://blog.ffwll.ch
_______________________________________________
dri-devel mailing list
[email-masked]
https://lists.freedesktop.org/mailman/listinfo/dri-devel